import request from '@/utils/request'

// 查询设备盘点明细列表
export function listDetail(query) {
  return request({
    url: '/dms/detail/list',
    method: 'get',
    params: query
  })
}

// 查询设备盘点明细详细
export function getDetail(checkplanDetailId) {
  return request({
    url: '/dms/detail/' + checkplanDetailId,
    method: 'get'
  })
}

// 新增设备盘点明细
export function addDetail(data) {
  return request({
    url: '/dms/detail',
    method: 'post',
    data: data
  })
}

// 修改设备盘点明细
export function updateDetail(data) {
  return request({
    url: '/dms/detail',
    method: 'put',
    data: data
  })
}

// 删除设备盘点明细
export function delDetail(checkplanDetailId) {
  return request({
    url: '/dms/detail/' + checkplanDetailId,
    method: 'delete'
  })
}
